Subject: Re: [Ace] [core] Early media-type registration for EST over CoAP

From: Hannes Tschofenig <[email-masked]>
Date: Tue, 19 Jun 2018 09:40:16 +0000

Peter,

Did this registration attempt got concluded?

Ciao
Hannes

-----Original Message-----
From: peter van der Stok [mailto:[email-masked]]
Sent: 24 May 2018 15:55
To: Carsten Bormann
Cc: Hannes Tschofenig; core; [email-masked]
Subject: Re: [core] [Ace] Early media-type registration for EST over CoAP

Ok, I will raise the experts to-morrow.

Peter

Carsten Bormann schreef op 2018-05-24 16:37:
> On May 24, 2018, at 16:15, Hannes Tschofenig
> <[email-masked]> wrote:
>>
>> Hi all,
>>
>> Trying to finalize this discussion: Could we do an early registry of
>> the Content-Format numbers?
>
> Yes.
>
>> From the discussion so far I believe we concluded that the charset is
>> utf-8
>
> What charset?  I thought we don’t have parameters (see below).
>
>> and that there are no parameters. Is that correct?
>
> That is my understanding so far, but the point of me asking the
> question was to ask the actual experts about these media types.  Did
> we get that input?
>
> Next step: make a proposal and raise this on [email-masked]
> so we get the needed input from the designated expert.
>
> Grüße, Carsten
>
>
>>
>> Ciao
>> Hannes
>>
>> From: Carsten Bormann [mailto:[email-masked]]
>> Sent: 16 May 2018 12:30
>> To: Hannes Tschofenig
>> Cc: [email-masked]; core
>> Subject: Re: [Ace] Early media-type registration for EST over CoAP
>>
>> Forgot to add another example: the content-format numbers for COSE
>> have parameters.
>>
>> Sent from mobile
>>
>> On 16. May 2018, at 12:26, Carsten Bormann <[email-masked]> wrote:
>>
>> I was thinking about media type parameters such as charset="utf-8".
>> The RT value need to be registered separately, but we can be a bit
>> lazy about that.
>>
>> Sent from mobile
>>
>> On 16. May 2018, at 12:15, Hannes Tschofenig
>> <[email-masked]> wrote:
>>
>> Hi Carsten,
>>
>> Yes, I am talking about the Content-Format numbers for them.
>> Would rt="ace.est" be the parameter you are talking about?
>>
>> Ciao
>> Hannes
>>
>> -----Original Message-----
>> From: Carsten Bormann [mailto:[email-masked]]
>> Sent: 15 May 2018 11:45
>> To: Hannes Tschofenig
>> Cc: [email-masked]; core
>> Subject: Re: [Ace] Early media-type registration for EST over CoAP
>>
>> On May 15, 2018, at 10:56, Hannes Tschofenig
>> <[email-masked]> wrote:
>>
>>
>> I am curious whether it would be possible to ask for early media-type
>> registration of at least these two types:
>> - application/pkcs7-mime
>> - application/pkcs10
>>
>> There already are registered.
>>
>> I think you are talking about getting Content-Format numbers for
>> these?
>> Do we need any parameters or content-codings with that?
>>
>> Grüße, Carsten
>>
>> IMPORTANT NOTICE: The contents of this email and any attachments are
>> confidential and may also be privileged. If you are not the intended
>> recipient, please notify the sender immediately and do not disclose
>> the contents to any other person, use it for any purpose, or store or
>> copy the information in any medium. Thank you.
>>
>>
>> IMPORTANT NOTICE: The contents of this email and any attachments are
>> confidential and may also be privileged. If you are not the intended
>> recipient, please notify the sender immediately and do not disclose
>> the contents to any other person, use it for any purpose, or store or
>> copy the information in any medium. Thank you.
>> _______________________________________________
>> Ace mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/ace
>
> _______________________________________________
> core mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/core
IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.

---

From: Carsten Bormann <[email-masked]>
Date: Tue, 19 Jun 2018 14:11:26 +0200

Since the registry that we are registering into does not fulfill the preconditions of RFC 7120 Section 2 point (a), I think the next step is to send the registration to IANA using the protocol parameters form [1].  The application should reference the I-D as well as the message from the DE [2] — there will be another interaction between IANA and DE and then we should be done.  To do so without further friction, the I-D probably should have been updated to align with [2].

[1]: https://www.iana.org/form/protocol-assignment
[2]: https://www.ietf.org/mail-archive/web/core-parameters/current/msg00024.html

Grüße, Carsten

> On Jun 19, 2018, at 11:40, Hannes Tschofenig <[email-masked]> wrote:
> 
> Peter,
>

---

From: Carsten Bormann <[email-masked]>
Date: Tue, 19 Jun 2018 14:22:40 +0200

On Jun 19, 2018, at 14:11, Carsten Bormann <[email-masked]> wrote:
> 
> Since the registry that we are registering into does not fulfill the preconditions of RFC 7120 Section 2 point (a),

(Sorry, wasn’t awake enough.  If we go for the 256-9999 space, of course it does.  And we probably do.)

So we’ll have to follow the process according to Section 3 of RFC 7120.

Starting with point (1) of Section 3.1:

   1.  The authors (editors) of the document submit a request for early
       allocation to the Working Group chairs, specifying which code
       points require early allocation and to which document they should
       be assigned.

Grüße, Carsten

---

From: Michael Richardson <[email-masked]>
Date: Tue, 19 Jun 2018 10:33:15 -0400

Carsten Bormann <[email-masked]> wrote:
    >> Since the registry that we are registering into does not fulfill the
    >> preconditions of RFC 7120 Section 2 point (a),

    > course it does.  And we probably do.)

yes, we were perfectly happy with that space.

    > allocation to the Working Group chairs, specifying which code points
    > require early allocation and to which document they should be assigned.

I thought ACE co-chairs already gave consent, but looking in the archives, I
see that this isn't actually so.

   Jim? Roman?  DO YOU CONSENT?

We have already had some round trips and document changes thanks to Klaus Hartke.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Carsten Bormann <[email-masked]>
Date: Tue, 19 Jun 2018 17:25:12 +0200

> We have already had some round trips and document changes thanks to Klaus Hartke.

Yes, but the IANA considerations section currently still has multict in it — that might confuse IANA.

Grüße, Carsten

---

From: Jim Schaad <[email-masked]>
Date: Tue, 19 Jun 2018 09:21:59 -0700

> From: Ace <[email-masked]> On Behalf Of Michael Richardson
> Sent: Tuesday, June 19, 2018 7:33 AM
> To: core <[email-masked]>; [email-masked]
> Subject: Re: [Ace] [core] Early media-type registration for EST over CoAP
> 
> 

I do not believe that I have ever seen a formal request directed at me for this.

Jim

---

From: Peter van der Stok <[email-masked]>
Date: Wed, 20 Jun 2018 12:07:10 +0200

HI Carsten, Jim

Just to get this clear.

We will update the the est-coaps draft by referring to
draft-fossati-core-multipart-ct-05 [1] for the wanted early registration
of the content formats specified in est-coaps.
Once done, we direct a request for early registration of the
content-format values to the ACE chairs.
Although the corresponding media formats have not been allocated yet for
multipart-ct draft, the corresponding content-format numbers can be
allocated already.

Is that the approved plan?

Please confirm or specify the conditions on multipart-ct draft.

Many thanks for your understanding,

Peter

Carsten Bormann schreef op 2018-06-19 14:22:

> (Sorry, wasn't awake enough.  If we go for the 256-9999 space, of course it does.  And we probably do.)
> 
> So we'll have to follow the process according to Section 3 of RFC 7120.
> 

Links:
------
[1] https://datatracker.ietf.org/doc/draft-fossati-core-multipart-ct/

---

From: Jim Schaad <[email-masked]>
Date: Wed, 20 Jun 2018 09:12:52 -0700

That sounds like a good plan forward.  Are you also going to need an early registration on the multipart-core draft as well?

Jim

From: Peter van der Stok <[email-masked]> 
Sent: Wednesday, June 20, 2018 3:07 AM
To: Carsten Bormann <[email-masked]>
Cc: Hannes Tschofenig <[email-masked]>; core <[email-masked]>; [email-masked]; Jim Schaad <[email-masked]>; [email-masked]
Subject: Re: [core] [Ace] Early media-type registration for EST over CoAP

HI Carsten, Jim

Just to get this clear.

We will update the the est-coaps draft by referring to draft-fossati-core-multipart-ct-05 <https://datatracker.ietf.org/doc/draft-fossati-core-multipart-ct/>  for the wanted early registration of the content formats specified in est-coaps.
Once done, we direct a request for early registration of the content-format values to the ACE chairs.
Although the corresponding media formats have not been allocated yet for multipart-ct draft, the corresponding content-format numbers can be allocated already.

Peter

On Jun 19, 2018, at 14:11, Carsten Bormann <[email-masked] <mailto:[email-masked]> > wrote: 

Grüße, Carsten

_______________________________________________
core mailing list
[email-masked] <mailto:[email-masked]> 
https://www.ietf.org/mailman/listinfo/core

---

From: Michael Richardson <[email-masked]>
Date: Wed, 20 Jun 2018 15:39:40 -0400

Jim Schaad <[email-masked]> wrote:
    > That sounds like a good plan forward. Are you also going to need an early
    > registration on the multipart-core draft as well?

yes, it would be nice, ... we think that it's CORE's problem to adopt the
draft and ask for that.

The multipart response is only need for systems where the private key will be
generated on the EST server: and a number of implementers are keen *not* to
do that, so the multipart is not urgent to as many people.

    > Cc: Hannes Tschofenig <[email-masked]>; core <[email-masked]>;
    > [email-masked]; Jim Schaad <[email-masked]>; [email-masked]

    > draft-fossati-core-multipart-ct-05 for the wanted early registration of the
    > content formats specified in est-coaps.
    > multipart-ct draft, the corresponding content-format numbers can be allocated
    > already.

    > ----------------------------------------------------
    > Alternatives:

    > ----------------------------------------------------

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 21 Jun 2018 08:14:53 +0200

Hi Michael,

> do that, so the multipart is not urgent to as many people.

That is good to know, so we (core) can wait for working-group adoption (WGA call ends Monday) and go for early allocation then.

Grüße, Carsten